## Index

### Interfaces

- IServiceDef

### Functions

- Register

## Functions

### Register

- Register(def: IServiceDef): function
- Register(id: string, scope: Scope): function

- - Defined in di/Register.ts:12

  #### Parameters

  - ##### def: IServiceDef

  #### Returns function

  - - (t: any): void

    - #### Parameters

      - ##### t: any

      #### Returns void

- - Defined in di/Register.ts:13

  #### Parameters

  - ##### id: string

  - ##### scope: Scope

  #### Returns function

  - - (t: any): void

    - #### Parameters

      - ##### t: any

      #### Returns void

Generated using TypeDoc